TITLE								        { mex061.pde }
   'Plate Under Compressive Strain'
SELECT  							{ Student Version }
   errlim=1e-6     spectral_colors
VARIABLES
   u  	  v				{ Displacements in the x and y directions }
DEFINITIONS
   Lx=40e-3     Ly=30e-3
   mu=0.3     E=200e9       				{ Steel }
   C=E/(1-mu^2)     G=E/[2*(1+mu)]
   uv=vector( u, v)     uvm=magnitude( uv)
   ex=dx(u)     ey=dy(v)     exy= dx(v)+ dy(u)	{ Strain components }
   sx=C*(ex+ mu*ey)     sy=C*(mu*ex+ ey)      	{ Stress components }
   sxy=G*exy     ez=-mu*(sx+ sy)/E			
EQUATIONS       					{ No volume forces }
   u:	dx( sx)+ dy( sxy)=0 				{ Forces in u-direction }
   v:	dx( sxy)+  dy( sy)=0				{ Forces in v-direction }
BOUNDARIES
region 'steel'
   start 'outer' (0,0)     load(u)=0     load(v)=0     line to (Lx,0)
   value(u)=-1e-3*Lx     load(v)=0     line to (Lx,Ly)	{ Compression }
   load(u)=0     load(v)=0     line to (0,Ly)
   value(u)=0     load(v)=0     line to (0,Ly/2)     point value(v)=0
   value(u)=0     load(v)=0     line to close
PLOTS
   grid( x+200*u, y+200*v)
   contour(u)     contour(v)     vector(uv) norm
   contour(ex)     contour(ey)     contour(exy)     contour(ez)
   contour(sx)     contour(sy)     contour(sxy)
   elevation(u,v) on 'outer'	
END

