TITLE     'Beam with Uniform Load'			        { mex071.pde }
SELECT     errlim=1e-5     spectral_colors	{ Student Version }
VARIABLES     u	    v
DEFINITIONS
   L=1.0     h=0.2   							{ Lz=1 }
   mu=0.3     E =200e9       						{ Steel }
   C=E/(1-mu^2)     G=E/[2*(1+mu)]
   uv=vector(u,v)     uvm=magnitude( uv)
   ex=dx(u)     ey=dy(v)     exy=dx(v)+dy(u)
   sx=C*(ex+ mu*ey)     sy=C*(mu*ex+ ey)     sxy=G*exy
   ez=-mu*(sx+ sy)/E
   pressure=1e6
EQUATIONS       		
   u:	dx( sx)+ dy( sxy)=0
   v:	dx( sxy)+ dy( sy)=0
BOUNDARIES
region 'steel'
   start 'outer' (0,-h/2)
   load(u)=0     load(v)=0     line to (L,-h/2)
   load(u)=0     load(v)=0     line to (L,h/2)
   load(u)=0     load(v)=-pressure     line to (0,h/2)
   value(u)=0     value(v)=0     line to close
PLOTS
   grid( x+200*u, y+200*v)
   contour( u)     contour( v)     vector( uv) norm
   contour( sx)     contour( sy)     contour( sxy)
   contour( ez)     elevation( u, v) on 'outer'
   elevation( sx) on 'outer'   	 elevation( sy) on 'outer'
   elevation( ez) on 'outer'
END

