TITLE     'Beam Loaded on a Line'                                  { mex072a.pde }
SELECT     errlim=1e-5     nodelimit=800     spectral_colors
VARIABLES     u	    v
DEFINITIONS
   L=1.0     h=0.2   							{ Lz=1 }
   mu=0.3     E =200e9       						{ Steel }
#include 'defuv.pde'				{ Block of command lines }
   pressure=1e6
EQUATIONS
   u:	dx( sx)+ dy( sxy)=0
   v:	dx( sxy)+ dy( sy)=0
BOUNDARIES
region 'steel'
   start 'outer' (0,-h/2)
   load(u)=0     load(v)=0     line to (L,-h/2)
   load(u)=0     load(v)=0     line to (L,h/2)     load(u)=0     load(v)=0
   line to (L/2,h/2)   point load(v)=-5e5     	{ Force per meter on line }
   line to (0,h/2)     value(u)=0 value(v)=0     line to close
PLOTS
   grid( x+200*u, y+200*v)
   contour( mises) painted
   elevation(sxy) from (0,-h/2) to (0,h/2)			{ Force }
END

