TITLE     'Gravity Bending, Force and Moment'	      { mex073a.pde }
SELECT     errlim=1e-5     spectral_colors
VARIABLES     u     v
DEFINITIONS
   L=1.0     h= 0.2     Izz=h^3/12	
   mu=0.3     E=200e9       					{ Steel }
#include 'defuv.pde'			
   Fy=-7.8e3*9.8     w0=Fy*h					{ Gravity }
   v_apx= w0*x^2/(24*E*Izz)*(x^2+ 6*L^2- 4*L*x) 	{ Analytic approx. }
   wgt=Fy*h*L				{ Weight of beam }
   M=wgt*L/2				{ Moment caused by weight }
EQUATIONS      		
   u:	dx( sx)+ dy( sxy)=0
   v:	dx( sxy)+ dy( sy)+ Fy=0				{ Volume force }
BOUNDARIES
region 'steel'
   start 'outer' (0,-h/2)
   load(u)=0     load(v)=0     line to (L,-h/2)
   load(u)=0     load(v)=0     line to (L,h/2)
   load(u)=0     load(v)=0     line to (0,h/2)
   value(u)=0     value(v)=0     line to close
PLOTS
   grid( x+1e4*u, y+1e4*v)
   elevation(sxy) from (0,-h/2) to (0,h/2) report( wgt)
   elevation(sx) from (0,-h/2) to (0,h/2) report( wgt)
   elevation(sx*y) from (0,-h/2) to (0,h/2) report( M)
END

