TITLE     'Beam with Bending Moments at Ends'	        { mex074.pde }
SELECT     errlim=1e-5     spectral_colors     ngrid=29
VARIABLES     u     v
DEFINITIONS
   L=1.0     h=0.2
   mu=0.3     E=200e9       						{ Steel }
#include 'defuv.pde'
   Mb=5e5     Izz=h^3/12     v_ex=Mb/(E*Izz)*[x^2-(L/2)^2]/2
EQUATIONS       		
   u:	dx( sx)+ dy( sxy)=0
   v:	dx( sxy)+ dy( sy)=0
BOUNDARIES
region 'steel'         					
   start 'outer' (-L/2,h/2)     						{ Left end }	
   load(u)=Mb/Izz*y   load(v)=0   line to (-L/2,-h/2)   point value(v)=0
   load(u)=0   load(v)=0   line to (0,-h/2)
   load(u)=0   load(v)=0   line to (L/2,-h/2)   point value(v)=0
   load(u)=-Mb/Izz*y   load(v)=0   line to (L/2,h/2) 		{ Right end }
   load(u)=0     load(v)=0     line to close
PLOTS
   grid( x+200*u, y+200*v)		
   elevation( y*sx) from  (0,-h/2) to (0,h/2) report( Mb)
   contour( v)     elevation( v-v_ex, 1e-8*v) from (-L/2,-h/2) to (L/2,-h/2)
   contour( sx)     contour( sy)     contour( sxy)     contour( ez) painted
   vector( cos(p_angl)*sxp, sin(p_angl)*sxp) norm notips as ' "tension" '
   contour( sxp)  painted     contour( syp) painted
   contour( mises) painted
END


