TITLE     'Beam, Shear-Loaded at End'			        { mex075.pde }
SELECT     errlim=1e-5     spectral_colors
VARIABLES     u	    v
DEFINITIONS
   L=1.0     h=0.2   							{ Lz=1 }
   mu=0.3     E =200e9       						{ Steel }
#include 'defuv.pde'				{ Block of command lines }
   pressure=1e6
EQUATIONS
   u:	dx( sx)+ dy( sxy)=0
   v:	dx( sxy)+ dy( sy)=0
BOUNDARIES
region 'steel'
   start 'outer' (0,-h/2)
   load(u)=0     load(v)=0     line to (L,-h/2)
   load(u)=0     load(v)=-1e6     line to (L,h/2)
   load(u)=0     load(v)=0     line to (0,h/2)
   value(u)=0     value(v)=0     line to close
PLOTS
   grid( x+200*u, y+200*v)
   contour( u)     contour( v)     vector( uv) norm
   contour( sx)     contour( sy)     contour( sxy)
   contour( ez)     elevation( u, v) on 'outer'
   elevation( sx) on 'outer'   	 elevation( sy) on 'outer'
   elevation( ez) on 'outer'
   contour( p_angle)
   vector( cos(p_angl)*sxp, sin(p_angl)*sxp) norm notips as ' "tension" '
   contour( sxp)     contour( syp)     contour( mises)
   contour( sxp) painted     contour( syp) painted
   contour( mises) painted
   contour( mises) painted     elevation( sxy) from (0,-h/2) to (0,h/2)	
   contour( energy_d) painted
END

