TITLE     'Composite Semicircular Beam'			{ mex082.pde}
SELECT     errlim=1e-6     spectral_colors
VARIABLES     u	     v
DEFINITIONS
   mu=0.3     E=200e9       				{ Steel }
#include 'defuv.pde'
   r1=0.06     r2=0.1     rm=0.07
   F=5e4   							{ Force/area }
EQUATIONS       		
   u:	dx( sx)+ dy( sxy)=0
   v:	dx( sxy)+ dy( sy)=0
BOUNDARIES
region 'steel'
   start 'outer' (-r2,0)
   load(u)=0     load(v)=0     arc to (0,-r2) to (r2,0)
   load(u)=0     load(v)=-F/(r2-r1)     line to (r1,0)
   load(u)=0     load(v)=0     arc to (0,-r1) to (-r1,0)
   value(u)=0     value(v)=0     line to close
region     'aluminum'     E=70e9        		{ Additional region }	
   start 'Al' (-r2,0)  arc to (0,-r2)  to  (r2,0)  line  to  (rm,0)
   arc to (0,-rm) to (-rm,0) line to close
PLOTS
   grid( x+200*u, y+200*v)
   contour( u)     contour( v)     vector( uv) norm
   contour( sx)     contour( sy)     contour( sxy)
   elevation( u, v) on 'outer'
   elevation( sx) on 'outer'   	 elevation( sy) on 'outer'
   contour( p_angle)
   vector( cos(p_angl)*sxp, sin(p_angl)*sxp) norm notips as ' "tension" '
   contour( sxp)     contour( syp)     contour( mises)
   contour( sxp) painted     contour( syp) painted
   contour( mises) painted		
   surface( mises)     contour( mises) painted on 'aluminum'		
END

