TITLE     'Tube With Pressure, Exact Solution'		      { mex083a.pde }
SELECT     errlim=1e-5    spectral_colors
VARIABLES     u	     v
DEFINITIONS
   mu=0.3     E=200e9       				{ Steel }
#include 'defuv.pde'
   r1=2e-3     r2=10e-3					{ After include line }
   p1=1e8     p1x=p1*x/r1     p1y=p1*y/r1	{ Inner surface }
   p2=0     p2x=p2*x/r2     p2y=p2*y/r2		{ Outer surface }
   rad=sqrt( x^2+ y^2)				
   ur=u*x/rad+ v*y/rad		{ Sum of radial displacements }
   q2r=r2/rad     q21=r2/r1
   sr_ex=-[p1*(q2r^2- 1)+ p2*(q21^2-q2r^2)]/(q21^2- 1)
   st_ex=[p1*(q2r^2+ 1)- p2*(q21^2+q2r^2)]/(q21^2- 1)
   ur_ex=rad/E*( st_ex- mu*sr_ex)		{ Hooke }
EQUATIONS      		
   u:	dx( sx)+ dy( sxy)=0
   v:	dx( sxy)+ dy( sy)=0
BOUNDARIES
region 'steel'  	
   start 'outer' (r1,0)
   load(u)=0     value(v)=0     line to (r2,0)
   load(u)=-p2x     load(v)=-p2y     arc(center=0,0) to (0,r2)
   value(u)=0     load(v)=0     line to (0,r1)
   load(u)=p1x     load(v)=p1y     arc(center=0,0) close
PLOTS
   grid( x+200*u, y+200*v)
   contour( u)     contour( v)     vector( uv) norm
   contour( sx)     contour( sy)     contour( sxy)
   elevation( u, v) on 'outer'
   elevation( sx) on 'outer'   	 elevation( sy) on 'outer'
   contour( p_angle)
   vector( cos(p_angl)*sxp, sin(p_angl)*sxp) norm notips as ' "tension" '
   contour( sxp)     contour( syp)     contour( mises)
   contour( sxp) painted     contour( syp) painted
   contour( mises) painted		
   contour( uvm)      elevation( uvm) on 'outer'
   contour( [ur-ur_ex]/ur_ex)
END

