TITLE     'Tube with Opposite Point Loads'		      { mex085a.pde }
SELECT     errlim=1e-5     spectral_colors
VARIABLES     u	     v
DEFINITIONS
   mu=0.3     E=200e9       				{ Steel }
#include 'defuv.pde'						
   r1=0.03     r2=0.1     delr=r2*1e-3
EQUATIONS      		
   u:		dx( sx)+ dy( sxy)=0
   v:		dx( sxy)+ dy( sy)=0
BOUNDARIES
region 'steel'
   start 'outer' (r2,0)
   load(u)=0   load(v)=0   arc(center=0,0) to (0,r2)
   point value(u)=0   point load(v)=-5e6   arc to (-r2,0) to (0,-r2)
   point value(u)=0   point load(v)=5e6   arc(center=0,0)  to close
   start 'inner' (r1,0)                			{ Bore boundary }
   load(u)=0   load(v)=0   arc( center=0,0) angle=360 close
PLOTS
   grid( x+200*u, y+200*v)
   contour( u)     contour( v)     vector( uv) norm
   contour( sx)     contour( sy)     contour( sxy)
   elevation( u, v) on 'outer'
   elevation( sx) on 'outer'   elevation( sy) on 'outer'
   elevation( sy) from (-r2,0) to (r2,0)					{ ?Force }
   contour( p_angle)
   vector( cos(p_angl)*sxp, sin(p_angl)*sxp) norm notips as ' "tension" '
   contour( sxp)     contour( syp)     contour( mises)
   contour( sxp) painted     contour( syp) painted
   contour( mises) painted		
   contour( uvm)      elevation( uvm) on 'outer'
   contour( sxp) painted fixed range(-5e7, 5e7)			
   contour( syp) painted fixed range(-5e7, 5e7)
   elevation( sy) from (-r2,0) to (r2,0)					{ ?Force }
END

