TITLE     'Tube Pressurized Over Part of Its Length'	        { mex092.pde }
SELECT     errlim=1e-5     nodelimit=800     spectral_colors
COORDINATES     ycylinder( 'r', 'z')
VARIABLES     u     w
DEFINITIONS
   r1=2e-3     r2=10e-3     L=10e-3
   E=200e9     mu=0.3             			{ Steel }
   p1=1e8     p2=0					{ Pressure }
#include 'defuw.pde'
   q2r=r2/r     q21=r2/r1					{ Exact solution: }
   sr_ex=-[p1*(q2r^2- 1)+ p2*(q21^2-q2r^2)]/(q21^2- 1)
   st_ex= [p1*(q2r^2+ 1)- p2*(q21^2+q2r^2)]/(q21^2- 1)
   u_ex=r/E*( st_ex- mu*sr_ex)			{ Hooke }
EQUATIONS
   u:	dr( sr)+ dz( srz)+ ( sr- st)/r=0			
   w:	dr( srz)+ dz( sz)+ srz/r=0 								
BOUNDARIES
region 'steel'
   start 'outer' (r1,0)      	
   line to (r2,0) to (r2,L/2) point value(w)=0
   line to (r2,L) to (r1,L)  to (r1,2*L/3)
   load(u)=p1     line to (r1,L/3)			{ Inner pressure }
   load(u)=0     line to close		
PLOTS
   grid( r+300*u, z+300*w)     contour( u)     contour( w)  		
   contour( uwm)     vector( uw) norm     elevation( u, w) on 'outer'
   contour( sr) painted     contour( st) painted     contour( sz) painted
   contour( p_angle)
   vector( cos(p_angl)*srp, sin(p_angl)*srp) norm notips as ' "tension" '
   contour( srp) painted     contour( szp) painted
   contour( mises) painted     contour( [ u- u_ex]/u_ex)
contour( st) area_integrate report( p1*r1*L)
END

