TITLE     'Twisted Circular Steel Shaft'			        { mex101.pde }
SELECT     errlim=1e-5     spectral_colors	{ Student Version }
VARIABLES     phi                                		{ Stress function }
DEFINITIONS
   r0=10e-3     Lz=1.0	
   G=77e9     twist=1e-3          { G for steel. Twist angle per unit length }
   u=-y*Lz*twist     v=x*Lz*twist
   uv=vector( u, v)     uvm=magnitude( uv)
   szx=dy(phi)     szy=-dx(phi)
   tau=vector( szx, szy) 				{ Vector of shear stress }
   taum=magnitude( tau)
   moment=x*szy-y*szx     M_ex=G*twist*pi*r0^4/2		{ Analytic }
   ezx=1/G*szx     ezy=1/G*szy
   mises=sqrt[ 3/2*(szx^2+szy^2)]			{ von Mises stress }
EQUATIONS
   dxx(phi)+ dyy(phi)+ 2*G*twist=0
BOUNDARIES
region 'steel'
   start 'outer' (r0,0)
   value(phi)=0 arc( center=0,0) angle=360
PLOTS
   surface( phi)     vector( u, v) norm     	
   vector( tau)     contour( taum)     contour( mises)
   contour( moment)     report(M_ex)
END


