TITLE     'Twisted Square Bar'				        { mex102.pde }
SELECT     errlim=1e-5     spectral_colors
VARIABLES     phi                                		{ Stress function }
DEFINITIONS
   Lx=1e-2     Ly=1e-2     Lz=1.0	
   G=77e9     twist=1e-3          { G for steel. Twist angle per unit length }
   u=-y*Lz*twist     v=x*Lz*twist
   uv=vector( u, v)     uvm=magnitude( uv)
   szx=dy(phi)     szy=-dx(phi)
   tau=vector( szx, szy) 				{ Vector of shear stress }
   taum=magnitude( tau)
   moment=x*szy-y*szx
   ezx=1/G*szx     ezy=1/G*szy
   mises=sqrt[ 3/2*(szx^2+szy^2)]			{ von Mises stress }
EQUATIONS
   dxx(phi)+ dyy(phi)+ 2*G*twist=0
BOUNDARIES
region 'steel'   start 'outer' (-Lx,-Ly)
   value(phi)=0  line to (Lx,-Ly) to (Lx,Ly) to (-Lx,Ly) close
PLOTS
   surface( phi)     vector( u, v) norm     	
   vector( tau)     contour( taum)     contour( mises)
   elevation( tangential( tau)) on 'outer' report( 2*G*twist*2*Lx*2*Ly)
   contour( moment) report( 0.1406*G*twist*(2*Lx)^4)
END
ent) report( 0.1406*G*twist*(2*Lx)^4)
END

