TITLE     'Compound Bar'	   				        { mex103.pde }
SELECT     errlim=1e-5     spectral_colors	
VARIABLES     phi                                	{ Stress function }
DEFINITIONS
   Lx=1e-2     Ly=1e-2     r0=0.8e-2     Lz=1.0
   G=77e9     twist=1e-3          { G for steel. Twist angle per unit length }
   u=-y*Lz*twist     v=x*Lz*twist
   uv=vector( u, v)     uvm=magnitude( uv)
   szx=dy(phi)     szy=-dx(phi)
   tau=vector( szx, szy) 				{ Vector of shear stress }
   taum=magnitude( tau)
   moment=x*szy-y*szx    		{ Exact }
   exz=1/G*szx     eyz=1/G*szy
   mises=sqrt[ 3/2*(szx^2+szy^2)]			{ von Mises stress }
EQUATIONS
   dx( (1/G)*dx( phi))+ dy( (1/G)*dy(phi))+ 2*twist =0
BOUNDARIES
region 'steel'
   start 'outer' (-Lx,-Ly)
   value(phi)=0  line to (Lx,-Ly) to (Lx,Ly) to (-Lx,Ly) close
region 'aluminum' G= 20e9					
   start 'inner' (r0,0) arc( center=0,0) angle=360
PLOTS
   surface( phi)     vector( u, v) norm     	
   vector( tau)     contour( taum)     contour( mises)
   contour( moment) painted
END


