TITLE     'Torsion and Warping of a Square Bar' 	        { mex105.pde }
SELECT     errlim=1e-5     spectral_colors	
VARIABLES     phi     w
DEFINITIONS
   Lx=5e-2     Ly=5e-2     Lz=1.0     	
   G=77e9     twist=1e-3          { G for steel. Twist angle per unit length }
   u=-y*Lz*twist     v=x*Lz*twist
   uv=vector( u, v)     uvm=magnitude( uv)
   szx=dy(phi)     szy=-dx(phi)
   tau=vector( szx, szy) 				{ Vector of shear stress }
   taum=magnitude( tau)     moment=x*szy-y*szx    				
   ezx=1/G*szx     ezy=1/G*szy
   mises=sqrt[ 3/2*(szx^2+szy^2)]			{ von Mises stress }
EQUATIONS
   phi:		dxx(phi)+ dyy(phi)+ 2*G*twist=0                               		
   w:		dx( G*dx(w))+ dy( G*dy(w))=0		
BOUNDARIES
region 'steel'
   start 'outer' (Lx,-Ly)
   value(phi)=0     load(w)=dy(phi)+ G*twist*y line to (Lx,Ly)
   load(w)=-dx(phi)- G*twist*x  line to (-Lx,Ly)
   load(w)=-dy(phi)- G*twist*y line to  (-Lx,-Ly)
   load(w)=dx(phi)+ G*twist*x line to close
PLOTS
   surface( phi)     vector( u, v) norm     	
   surface( w)     contour( w) painted
END



