TITLE   'Warping of an Elliptic Shaft'			        { mex106.pde }
SELECT     errlim=1e-5     nodelimit=800     spectral_colors
VARIABLES     phi     w
DEFINITIONS
   Lx=5e-2     Ly=5e-2     Lz=1.0     r0=1e-2      	
   G=77e9     twist=1e-3          { G for steel. Twist angle per unit length }
   u=-y*Lz*twist     v=x*Lz*twist
   uv=vector( u, v)     uvm=magnitude( uv)
   szx=dy(phi)     szy=-dx(phi)
   tau=vector( szx, szy) 				{ Vector of shear stress }
   taum=magnitude( tau)     moment=x*szy-y*szx    				
   ezx=1/G*szx     ezy=1/G*szy
   mises=sqrt[ 3/2*(szx^2+szy^2)]			{ von Mises stress }
   unitx=vector(1,0)     unity=vector(0,1)		{ Unit vectors }
EQUATIONS
   phi:		dxx(phi)+ dyy(phi)+ 2*G*twist=0                               		
   w:		dx( G*dx(w))+ dy( G*dy(w))=0		
BOUNDARIES
region 'steel'							{ Elliptic }
   start 'outer' (r0,0)  value( phi)=0
   load(w)=normal( unitx)*(dy(phi)+ G*twist*y)
      +normal( unity)*(-dx(phi)- G*twist*x)
   arc( center=0,0) to (0,2*r0) to (-r0,0) to (0,-2*r0) close
PLOTS
   vector( u, v) norm
   surface( w)     contour( w) painted     elevation ( w) on 'outer'
END

