TITLE     'Heated Semi-Circular Rod'			        { mex111.pde }
SELECT     errlim=1e-5     spectral_colors              	{ Student Version }
VARIABLES     temp						
DEFINITIONS
   Lx=0.1     Ly=0.1     r0=0.05
   k     heat								{ Declared only }	
   fluxd_x=-k*dx(temp)     fluxd_y=-k*dy(temp)
   fluxd=vector( fluxd_x, fluxd_y)     fluxdm=magnitude( fluxd)
EQUATIONS
   dx( fluxd_x)+ dy( fluxd_y)- heat=0
BOUNDARIES
region 'granite'     k=3.5     heat=0		{ Assign for entire domain }	
   start 'outer' (-Lx,-Ly)     value(temp)=273		{ Ice-water }
   line to (Lx,-Ly) to (Lx,Ly) to (-Lx,Ly)  to close
region  'steel'     k=45     heat=1e6	  		{ Re-assign for steel }
   start  'rod' (-r0,0)  line to (r0,0)  arc to (0,r0)  close
PLOTS
   contour( temp)     surface( temp)
   vector(fluxd) norm     contour(fluxdm) painted		
   elevation( normal(fluxd)) on 'rod'
   elevation( normal(fluxd)) on 'outer'
      report( pi*r0^2/2* 1e6) as 'Heating power'
END

