TITLE     'Block Strained by a Temperature Gradient'       { mex112.pde }
SELECT     errlim=1e-5     spectral_colors	
VARIABLES     u     v
DEFINITIONS
   Lx=100e-3     Ly=200e-3
   mu=0.3     E =200e9       			{ Steel }
   alpha=1e-5     k=45                        	{ Thermal properties }
   dtemp=y/Ly*300      				{ Temperature above ambient }
#include 'defuvt.pde'
EQUATIONS       		
   u:	dx( sx)+ dy( sxy)=0
   v:	dx( sxy)+ dy( sy)=0
BOUNDARIES
region 'steel'
   start 'outer' (-Lx,0)   value(u)=0   value(v)=0     line to (Lx,0)
   load(u)=0   load(v)=0   line to (Lx,Ly) to (-Lx,Ly) close
PLOTS
   grid(x+100*u, y+100*v)     contour(dtemp)
   contour( u)     contour( v)     vector( uv) norm
   contour( sx) painted     contour( sy) painted     contour( sxy) painted
   elevation( u, v) on 'outer'
   elevation( sx) on 'outer'     elevation( sy) on 'outer'
   contour( p_angle)
   vector( cos(p_angl)*sxp, sin(p_angl)*sxp) norm notips as ' "tension" '
   contour( sxp)     contour( syp)     contour( mises)
   contour( sxp) painted     contour( syp) painted
   contour( mises) painted	
END



