TITLE     'Axially Symmetric heating of a Cylinder'	        { mex115.pde }
SELECT     errlim=1e-5     ngrid=1     spectral_colors
COORDINATES     ycylinder( 'r','z')
VARIABLES     u     w     dtemp    	
DEFINITIONS
   E=70e9     mu=0.25     k=1.3     alpha=1e-5 	{ Glass }
   r0=0.3e-3     r1=1e-3     Lz=1e-3
#include 'defuwt.pde'
EQUATIONS
   u:		dr( r*sr)+ dz( r*srz)- st=0			
   w:		dr( r*srz)+ dz( r*sz)=0 		
   dtemp:	dr[ r*fluxd_r]+ dz[ r*fluxd_z]=0		
BOUNDARIES
region 'glass'
   start 'outer' (0,0)     point value(w)=0
   load(u)=0     load(w)=0     value( dtemp)=0     line to (r1,0)
   natural( dtemp)=0     line to (r1,Lz) to (r0,Lz)
   natural(dtemp)=-r*1e5     line to (0,Lz)
   natural( dtemp)=0     value(u)=0     load(w)=0     line to close
PLOTS
   grid( r+3e3*u, z+3e3*w)     contour( dtemp) painted
   contour( uwm)     vector( uw) norm     elevation( u, w) on 'outer'
   contour( sr) painted     contour( st) painted     contour( sz)
   vector( cos(p_angl)*srp, sin(p_angl)*srp) norm notips as ' "tension" '
   contour( srp) painted     contour( szp) painted
   contour( mises) painted 	
END

