TITLE     'Compound Cylinder, Internal Pressure'	        { mex116.pde }
SELECT     errlim=1e-5     nodelimit=800     ngrid=1     spectral_colors
COORDINATES     ycylinder( 'r','z')
VARIABLES     u     w 	   	
DEFINITIONS
   r1=2e-3     rm=4e-3     r2=10e-3     Lz=10e-3
   E=200e9     mu=0.3     alpha=1e-5 	  { Steel }
   p1=0            					{ Internal pressure }
   dtemp2=50     dtemp				{ Temperature excess in inner }
#include 'defuwt2.pde'
EQUATIONS
   u:	dr( r*sr)+ dz( r*srz)- st=0			
   w:	dr( r*srz)+ dz( r*sz)=0 		
BOUNDARIES
region 'steel'     dtemp=0
   start 'outer' (r1,0)     point value(w)=0     load(u)=0
   line to (r2,0)  to (r2,Lz/2) to (r2,Lz)  to  (r1,Lz)
   load(u)=r*p1  line to finish			{ Inner pressure }
region 'central'     dtemp=dtemp2			
   start 'inner' (r1,0) line to (rm,0)  to (rm,Lz) to  (r1,Lz)  to finish	
PLOTS
   grid( r+1e3*u, z+1e3*w)  report( dtemp2) report( p1) report( globalmax( mises))		
   contour( sr) painted     contour( st) painted     contour( sz) painted
   vector( cos(p_angl)*srp, sin(p_angl)*srp) norm notips as ' "tension" '
   elevation( sr, st, sz, mises) on 'outer'
   contour( mises) painted 	
      report( dtemp2) report( p1) report( globalmax( mises))
END

