TITLE   'Laplace Equation in 3D'			       	        { mex123.pde }
SELECT     spectral_colors	
COORDINATES     cartesian3	
VARIABLES     U		
DEFINITIONS                                     		
   L=1.0     d0=2.0     q=1e-10          	
   eps0=8.85e-12     c=1/(4*pi*eps0)
   U_ex=-q*c/sqrt( x^2+(y+d0)^2+ z^2)+ q*c/sqrt( x^2+(y-d0)^2+ z^2)	
        +q*c/sqrt( (x+d0)^2+y^2+ z^2)		{ Exact solution }
   Ex=-dx( U)     Ey=-dy( U)      Ez=-dz( U)     	{ Field components }
   div_xy=dx( Ex)+ dy( Ey)
   E=-grad(U)     Em=magnitude(E)
EQUATIONS
   div( grad( U))=0
EXTRUSION     						{ End surfaces }
   surface 'bottom' z=-L
   surface 'top' z=L					
BOUNDARIES
   surface 'bottom'  value( U)=U_ex     		{ On both end faces }
   surface 'top' value( U)=U_ex
region 'domain'						{ Space for solution }	
   { The following rectangle is extruded to form vertical sides }
start(-L,-L) 	value( U)=U_ex		{ Value specified on all vertical sides }
   line to (L,-L) to (L,L) to (-L,L) close
PLOTS
   contour( U) painted on z=0     contour( U_ex) painted on z=0
   contour( U- U_ex) on z=0     	{ Deviation from exact U }
   	report(globalmax(U))
   contour( U- U_ex) on z=1.0  report(globalmax(U))
   contour( U) painted on z=0.3     contour( U_ex) painted on z=0.3
   contour( U) painted on z=1.0     contour( U_ex) painted on z=1.0	
END

