TITLE     'Plate under Pressure from Top'		        { mex124.pde }
SELECT     errlim=1e-4     ngrid=4     spectral_colors    		
COORDINATES     cartesian3			
VARIABLES     u     v     w
DEFINITIONS
   Lx=5e-3     Ly=15e-3     Lz=40e-3
   mu=0.3     E=200e9       				{ Steel }
#include 'defuvw.pde'
EQUATIONS       					{ No volume forces }
   u:	dx( sx)+ dy( sxy)+ dz( sxz)=0		{ sxy=syx, etc. }
   v:	dx( sxy)+ dy( sy)+ dz( syz)=0
   w:	dx( sxz)+ dy( syz)+ dz( sz)=0
EXTRUSION						{ Parallel surfaces }
   surface 'bottom' z=0	
   surface 'top' z=Lz
BOUNDARIES			{ Boundary conditions on end surfaces }
   surface 'bottom'  value(u)=0    value(v)=0   value(w)=0
   surface 'top'    load(u)=0    load(v)=0   load(w)=-3e8
region 'domain'					{ No load on extruded sides }	
   start (-Lx,-Ly)   load(u)=0   load(v)=0   load(w)=0		
   line to (Lx,-Ly)  to (Lx,Ly)  to (-Lx,Ly) close
MONITORS
   contour( w) painted on x=0
PLOTS
   grid( y+200*v, z+200*w) on x=0
   contour( v) painted on x=0     contour( w) painted on x=0
   contour( vem) painted on x=0
   contour( sz) painted on x=0     contour( sy) painted on z=1e-4
END

