TITLE     'Bending of a Beam under Gravity'		        { mex125.pde }
SELECT     errlim=1e-4     ngrid=4     spectral_colors	
COORDINATES     cartesian3	
VARIABLES     u     v     w
DEFINITIONS
   Lx=1.5     Ly= 1.0     Lz=0.2     Iyy=Lz^3/12     mu=0.3     E=200e9
#include 'defuvw.pde'
   Fz=-7.8e3*9.8     w0=Fz*Lz     { Volume force and force per unit area }
   w_apx= w0*x^2/(24*E*Iyy)*(x^2+ 6*Lx^2- 4*Lx*x) 	{ Approximate w }
EQUATIONS       					
   u:	dx( sx)+ dy( sxy)+ dz( sxz)=0		
   v:	dx( sxy)+ dy( sy)+ dz( syz)=0		
   w:	dx( sxz)+ dy( syz)+ dz( sz)+ Fz=0		{ With gravity force }
EXTRUSION						{ End surfaces }
   surface 'bottom' z=-Lz/2	
   surface 'top' z=Lz/2
BOUNDARIES					
   surface 'bottom'  load(u)=0    load(v)=0   load(w)=0
   surface 'top'    load(u)=0    load(v)=0   load(w)=0
region 'beam'					{ Fixed values at x=0 }	
   start 'outer' (0,Ly/2)   value(u)=0   value(v)=0   value(w)=0
   line to (0,-Ly/2)   load(u)=0   load(v)=0   load(w)=0		
   line to (Lx,-Ly/2)  to (Lx,Ly/2) close
MONITORS
   elevation(w, w_apx) from (0,0,Lz/2) to (Lx,0,Lz/2)	{ Comparison }
PLOTS
   elevation( w, w_apx) from (0,0,Lz/2) to (Lx,0,Lz/2)
   grid( x+1e4*u, y+1e4*v, z+1e4*w)
   grid( y+5e4*v, z+5e4*w)  on x=Lx/2
   contour( sx) painted on z=0     contour( sx) painted on z=Lz/2
   contour(  mises) painted on z=0    contour(  mises) painted on z=Lz/2
END


