TITLE     'Beam under Asymmetric Load'		                 { mex126.pde }
SELECT     errlim=1e-4     ngrid=4     spectral_colors	
COORDINATES     cartesian3	
VARIABLES     u     v     w
DEFINITIONS
   Lx=1.0     Ly= 1.0     Lz=0.2     Iyy=Lz^3/12     mu=0.3     E=200e9
#include 'defuvw.pde'
   pressure=if x>0.9*Lx  and y>0.8*Ly/2   then -1e6   else 0
EQUATIONS       					
   u:	dx( sx)+ dy( sxy)+ dz( sxz)=0		
   v:	dx( sxy)+ dy( sy)+ dz( syz)=0		
   w:	dx( sxz)+ dy( syz)+ dz( sz)=0		{ No gravity force }
EXTRUSION						
   surface 'bottom' z=-Lz/2	
   surface 'top' z=Lz/2
BOUNDARIES					
   surface 'bottom'  load(u)=0    load(v)=0   load(w)=0
   surface 'top'    load(u)=0    load(v)=0   load(w)=pressure
region 'beam'						{ Fixed values x=0 }	
   start 'outer' (0,Ly/2)   value(u)=0   value(v)=0   value(w)=0
   line to (0,-Ly/2)   load(u)=0   load(v)=0   load(w)=0		
   line to (Lx,-Ly/2)  to (Lx,Ly/2) close
PLOTS
   contour( sz) painted on z=Lz/2   			{ Applied pressure }
   grid( x+1e4*u, y+1e4*v, z+1e4*w)     grid( y+5e4*v, z+5e4*w)  on x=Lx
   contour( sx) painted on z=0     contour( sx) painted on z=Lz/2
   contour(  mises) painted on z=0     contour(  mises) painted on z=Lz/2
END

