TITLE     'Tube under Asymmetric Load'		                 { mex127.pde }
SELECT     ngrid=1     spectral_colors    	
COORDINATES     cartesian3		
VARIABLES     u     v     w
DEFINITIONS
   r0=0.5     r1=1.0     Lz=2.0     mu=0.3     E=200e9     cs=200    	
#include 'defuvw.pde'
   pressure=if abs(x)<0.1*r1 and z<0   then -sign(y)*3e8   else 0
EQUATIONS       					{ Volume force, Fy }
   u:	dx( sx)+ dy( sxy)+ dz( sxz)=0		{ sxy=syx, etc. }
   v:	dx( sxy)+ dy( sy)+ dz( syz)=0		
   w:	dx( sxz)+ dy( syz)+ dz( sz)=0
EXTRUSION						{ Parallel surfaces }
   surface 'bottom' z=-Lz/2	
   layer 'steel'							
   surface 'top' z=Lz/2
BOUNDARIES			{ No load (default) on bottom surface }	
   surface 'top'   value(u)=0   value(v)=0   value(w)=0
region 'tube'   mu=0.3     E=200e9			{ Steel }
   start 'outer' (r1,0)   load(u)=0   load(v)=pressure   load(w)=0
      arc( center=0,0) angle=360
region 'inner'   					
   layer 'steel'   void					{ Empty space }
   start 'inner' (r0,0) arc( center=0,0) angle=360		{ No load }
MONITORS
   contour(sy) painted on z=-Lz/2
PLOTS
   vector( ve) norm on z=-Lz/2     contour( sy) painted on z=-Lz/2
   grid( y+cs*v, z+cs*w) on x=0
   grid( x+cs*u, y+cs*v)  on z=Lz/2     grid( x+cs*u, y+cs*v) on z=-Lz/2
   grid( x+cs*u, y+cs*v, z+cs*w)
   contour( mises) painted on z=0
END


