TITLE     'Torsion and Warping of a Hollow Bar'     	        { mex128.pde }
SELECT     errlim=3e-3     spectral_colors  	{ Professional Version }
COORDINATES     cartesian3
VARIABLES     u     v     w
DEFINITIONS
   L=1e-2     r0=0.8e-2     Lz=5e-2     twist=1e-3 	{ Per unit length }
   mu=0.3     E=200e9       				{ Steel }
#include 'defuvw.pde'
   tau=vector( sxz, syz)     taum=magnitude( tau)	{ 2D  vector }
   moment=x*syz-y*sxz					{ Torque }
EQUATIONS       					
   u:	dx( sx)+ dy( sxy)+ dz( sxz)=0		{ sxy=syx, etc. }
   v:	dx( sxy)+ dy( sy)+ dz( syz)=0
   w:	dx( sxz)+ dy( syz)+ dz( sz)=0
EXTRUSION						{ End surfaces }
   surface 'bottom' z=0	
   layer 'bar'						
   surface 'top' z=Lz
BOUNDARIES						
region 'steel'
   layer 'bar'   mu=0.3     E=200e9			{ Steel }
   surface 'bottom'   value(u)=0    value(v)=0     value(w)=0
   surface 'top'    value(u)=-y*Lz*twist    value(v)=x*Lz*twist
   start 'outer' (-L,-L)				{ No load on vertical sides }
      line to (L,-L) to (L,L) to (-L,L) close
region 'cylinder'   					{ Cut-out }
   layer 'bar'   void					{ Empty space }	
   start 'inner' (r0,0) arc( center=0,0) angle=360
MONITORS
   vector( u, v) norm on z=Lz      grid( x+500*u, y+500*v) on z=Lz
PLOTS
   vector( u, v) norm on z=Lz report(twist)
   vector( tau) norm on z=Lz     contour( taum) on z=Lz
   surface( w) on z=Lz     contour( w) painted on z=Lz
   contour( moment) on z=Lz
END

