TITLE   'Shear Vibration of Beam, Transfer'		     { mex131at.pde }
SELECT     spectral_colors	{ No stages }
VARIABLES     ur     vr
DEFINITIONS
   L=1.0     h=0.1
   dens=7.8e3       mu=0.3        E=200e9  	{ Steel }
   omega=19000+100*30          			{ Fixed frequency }
   freq=omega/(2*pi)					{ Frequency }
#include 'vibuvr.pde'
EQUATIONS
   ur:		dx( sxr)+ dy( sxyr)+ dens*omega^2*ur=0
   vr:		dx( sxyr)+ dy( syr)+ dens*omega^2*vr=0
BOUNDARIES
region 'steel'
   start 'outer' (0,-h/2)
   value(ur)=0     load(vr)=0     line to (L,-h/2)
   value(ur)=0     value(vr)=0     line to (L,h/2)    	{ Fixed vr }
   value(ur)=0     load(vr)=0     line to (0,h/2)
   value(ur)=0     value(vr)=1e-3    line to close        	{ Driven vr }
PLOTS
   elevation( vr) from (0,0) to (L,0)
   transfer( vr) file='vr'
END

