TITLE   'Shear Vibration of a Beam, Wavelength'            { mex131b.pde }
SELECT     errlim=1e-3     spectral_colors	{ Student Version }
   stages=15
VARIABLES     ur     vr
DEFINITIONS
   L=1.0     h=0.1
   dens=7.8e3       mu=0.3        E=200e9  	{ Steel }
   omega=15000+300*stage          		{ Angular frequency }
   freq=omega/(2*pi)				{ Frequency }
   A=globalmax( vr)     v0=1e-3
   wavel=-2*pi*L/[arcsin( v0/A)- 2*pi]	{ Valid for x=0 }
   v_a=A*sin( 2*pi*(x-L)/wavel)     speed=freq*wavel
#include 'vibuvr.pde'
EQUATIONS
   ur:		dx( sxr)+ dy( sxyr)+ dens*omega^2*ur=0
   vr:		dx( sxyr)+ dy( syr)+ dens*omega^2*vr=0
BOUNDARIES
region 'steel'
   start 'outer' (0,-h/2)
   value(ur)=0     load(vr)=0     line to (L,-h/2)
   value(ur)=0     value(vr)=0     line to (L,h/2)    	{ Fixed vr }
   value(ur)=0     load(vr)=0     line to (0,h/2)
   value(ur)=0     value(vr)=1e-3     line to close        	{ Driven vr }
PLOTS
   elevation( vr, v_a) from (0,0) to (L,0)
        report( freq)  report( wavel)  report( speed)
END


