TITLE   'Longitudinal Vibration'				        { mex132.pde }
SELECT     errlim=1e-4     stages=15     spectral_colors
   stages=15
VARIABLES     ur     vr
DEFINITIONS
   L=1.0     h=0.1
   dens=7.8e3       mu=0.3        E=200e9  	{ Steel }
   omega=47460+20*stage
   freq=omega/(2*pi)					{ Frequency }
#include 'vibuvr.pde'
EQUATIONS
   ur:		dx( sxr)+ dy( sxyr)+ dens*omega^2*ur=0
   vr:		dx( sxyr)+ dy( syr)+ dens*omega^2*vr=0
BOUNDARIES
region 'steel'
   start 'outer' (0,-h/2)
   load(ur)=0     load(vr)=0     line to (L,-h/2)
   value(ur)=0     load(vr)=0     line to (L,h/2)     			{ Fixed end }
   load(ur)=0     load(vr)=0     line to (0,h/2)
   value(ur)=1e-3     load(vr)=0     line to close       		{ Driven end }
PLOTS
   elevation( ur) from (0,0) to (L,0)  fixed range(-1.0, 1.0)  report( freq)
END

