TITLE     'Vibrating Rectangular Plate'			        { mex141.pde }
SELECT     stages=15     errlim=1e-4     spectral_colors
VARIABLES     ur      vr					
DEFINITIONS
   dens=7.8e3     mu=0.3     E=200e9  			{ Steel }
   L=1     h=0.8
   omega=20200+5*stage     freq=omega/(2*pi)		 	
#include 'vibuvr.pde'
EQUATIONS
   ur:		dx( sxr)+ dy( sxyr)+ dens*omega^2*ur=0
   vr:		dx( sxyr)+ dy( syr)+ dens*omega^2*vr=0
BOUNDARIES
region 'steel'
   start (0,-h/2)     value(ur)=0     value(vr)=0               { Fixed }	
   line to (L,-h/2) to (L,h/2) to (0,h/2) to (0,-h/4)
   value(ur)=1e-3     value(vr)=0     line to close          { Driven }
PLOTS
   contour( ur)     contour( vr) report( freq)
   vector( urvr) norm     contour( energy_d) painted
END

