TITLE     'Vibrating Rectangular Plate, Eigenstates' 	        { mex142.pde }
SELECT    modes=8     errlim=1e-4    spectral_colors
VARIABLES     ur     vr
DEFINITIONS
   L=1     h=0.8
   dens=7.8e3     mu=0.3     E=200e9 		{ Steel }
#include 'vibuvr.pde'
   freq=sqrt( lambda/dens)/(2*pi)			{ Frequency }
EQUATIONS       					{ Eigenvalue=lambda }
   ur:		dx( sxr)+ dy( sxyr)+ lambda*ur=0
   vr:		dx( sxyr)+ dy( syr)+ lambda*vr=0
BOUNDARIES
region 'steel'
   start (0,-h/2)     value(ur)=0     value(vr)=0      	{ For all sides }
   line to (L,-h/2) to (L,h/2) to (0,h/2)  to close
PLOTS
   contour( ur)     contour( vr) report( freq)
   vector( urvr) norm     contour( energy_d)
END

