TITLE     'Plate with Free Boundaries, Transfer' 	     { mex143at.pde }
SELECT    modes=8     errlim=1e-4    spectral_colors
VARIABLES     ur     vr
DEFINITIONS
   L=1     h=0.8
   dens=7.8e3     mu=0.3     E=200e9 		{ Steel }
#include 'vibuvr.pde'
   freq=sqrt( lambda/dens)/(2*pi)			{ Frequency }
EQUATIONS       					{ Eigenvalue=lambda }
   ur:		dx( sxr)+ dy( sxyr)+ lambda*ur=0
   vr:		dx( sxyr)+ dy( syr)+ lambda*vr=0
BOUNDARIES
region 'steel'						
   start (0,-h/2)
   load( ur)=0     load( vr)=0     line to (L,-h/2)  		{ Free boundary }
   value( ur)=0     value( vr)=0     line to (L,h/2) 		{ Fixed boundary }
   load( ur)=0     load( vr)=0     line to (0,h/2) 		{ Free boundary }
   value( ur)=0     value( vr)=0     line to close          	{ Fixed boundary }
PLOTS					{ Export ur and vr for all modes }
   contour( ur)     transfer( ur) file='ur'      			{ Write to file }
   contour( vr)     transfer( vr) file='vr'
END


