TITLE     'Vibration of a Rectangular Block'	        { mex161.pde }
SELECT     modes=6     ngrid=2    spectral_colors    	
COORDINATES     cartesian3			{ Student Version }
VARIABLES     ur     vr     wr             		{ Real parts }
DEFINITIONS
   Lx=0.1     Ly=0.15     Lz=0.5
   dens=7.8e3     mu=0.3     E=200e9 		{ Steel }
   freq=sqrt( lambda/dens)/(2*pi)			{ Frequency }
#include 'defuvwr.pde'     sc=0.01			{ Plot scale factor }
EQUATIONS       			{ No volume forces, sxy=syx, etc. }
   ur:		dx( sxr)+ dy( sxyr)+ dz( sxzr)+ lambda*ur=0	
   vr:		dx( sxyr)+ dy( syr)+ dz( syzr)+ lambda*vr=0
   wr:		dx( sxzr)+ dy( syzr)+ dz( szr) + lambda*wr=0	
EXTRUSION						{ Parallel surfaces }
   surface 'bottom' z=0	
   layer 'steel'						{ Layer containing steel }
   surface 'top' z=Lz
BOUNDARIES				{ No load on end surfaces (default) }
   surface 'bottom'  value(ur)=0    value(vr)=0   value(wr)=0
   surface 'top'    load(ur)=0    load(vr)=0   load(wr)=0
region 'block'						{ Full solution domain }	
   start 'outer' (-Lx,-Ly)   				{ No load (default) }	
   line to (Lx,-Ly)  to (Lx,Ly)  to (-Lx,Ly)  to close
MONITORS
   grid( x+sc*ur, y+sc*vr, z+sc*wr) report( freq)
PLOTS
   grid( x+sc*ur, y+sc*vr, z+sc*wr) report( freq)
   grid( y+sc*vr, z+sc*wr) on x=0 report( freq)
   grid( x+sc*ur, z+sc*wr) on y=0 report( freq)
   grid( x+sc*ur, y+sc*vr) on z=Lz report( freq)
END

