TITLE     'Vibration of a Tube'	        			        { mex162.pde }
SELECT     modes=6     ngrid=2     spectral_colors    	
COORDINATES     cartesian3			
VARIABLES     ur     vr     wr
DEFINITIONS
   r0=0.1     r1=0.2    Lz=1.0
   dens=7.8e3     mu=0.3     E=200e9 		{ Steel }
   freq=sqrt( lambda/dens)/(2*pi)
#include 'defuvwr.pde'     sc=0.1			{ Plot scale factor }
EQUATIONS       			{ No volume forces, sxy=syx, etc. }
   ur:		dx( sxr)+ dy( sxyr)+ dz( sxzr)+ lambda*ur=0	
   vr:		dx( sxyr)+ dy( syr)+ dz( syzr)+ lambda*vr=0
   wr:		dx( sxzr)+ dy( syzr)+ dz( szr) + lambda*wr=0	
EXTRUSION						{ Parallel surfaces }
   surface 'bottom' z=0	
   layer 'tube'					{ Layer between the surfaces }
   surface 'top' z=Lz
BOUNDARIES				{ No load on end surfaces (default) }
   surface 'bottom'   value(ur)=0   value(vr)=0   value(wr)=0
   surface 'top'   load(ur)=0   load(vr)=0   load(wr)=0
region 'block'						{ Full solution domain }	
   start 'outer' (r1,0)   				{ No load (default) }	
      arc( center=0,0) angle=360
region 'inner void'
   layer 'tube' void				{ No load on inside (default) }
   start 'outer' (r0,0) arc( center=0,0) angle=360
MONITORS
   vector( uvwr) norm on z=Lz report( freq)
PLOTS
   vector( uvwr) on z=Lz report( freq)
   vector( uvwr) on x=0 report( freq)     vector( uvwr) on y=0
   grid( y+sc*vr, z+sc*wr) on x=0 report( freq)
   grid( x+sc*ur, z+sc*wr) on y=0 report( freq)
END

