TITLE     'Vibration of a Thin Tube'	        { mex162a.pde }
SELECT     modes=3     ngrid=2     errlim=1e-3     spectral_colors    	
COORDINATES     cartesian3	
VARIABLES     ur     vr     wr
DEFINITIONS
   r0=0.1     r1=0.15    Lz=0.5
   dens=7.8e3     mu=0.3     E=200e9 		{ Steel }
   freq=sqrt( lambda/dens)/(2*pi)
#include 'defuvwr.pde'
   sc=0.05		{ Plot scale factor }
EQUATIONS       			{ No volume forces, sxy=syx, etc. }
   dx( sxr)+ dy( sxyr)+ dz( sxzr)+ lambda*ur=0	
   dx( sxyr)+ dy( syr)+ dz( syzr)+ lambda*vr=0
   dx( sxzr)+ dy( syzr)+ dz( szr) + lambda*wr=0	
EXTRUSION						{ Parallel surfaces }
   surface 'bottom' z=-Lz	
   layer 'tube'						{ Layer containing liquid }
   surface 'top' z=Lz
BOUNDARIES				{ No load on end surfaces (default) }
   surface 'bottom'  value(ur)=0    value(vr)=0   value(wr)=0
   surface 'top'    load(ur)=0    load(vr)=0   load(wr)=0
region 'block'						{ Full solution domain }	
   start 'outer' (r1,0)   				{ No load (default) }	
      arc( center=0,0) angle=360
region 'inner void'
   layer 'tube' void
   start 'outer' (r0,0)   				{ No load (default) }	
      arc( center=0,0) angle=360
MONITORS
   grid( x+sc*ur, y+sc*vr, z+sc*wr) report( freq)
PLOTS
   grid( x+sc*ur, y+sc*vr, z+sc*wr) report( freq)

   grid( y+sc*vr, z+sc*wr) on x=0 report( freq)
   grid( x+sc*ur, z+sc*wr) on y=0 report( freq)
   grid( x+sc*ur, y+sc*vr) on z=Lz report( freq)
END

