TITLE     'Vibrating Circular Plate'	        		                 { mex163.pde }
SELECT     modes=5     ngrid=6     errlim=1e-3     spectral_colors    	
COORDINATES     cartesian3			
VARIABLES     ur     vr     wr
DEFINITIONS
   r0=1.0     d=0.2
   dens=7.8e3     mu=0.3     E=200e9 		{ Steel }
   freq=sqrt( lambda/dens)/(2*pi)
#include 'defuvwr.pde'
   sc=0.05							{ Plot scale factor }
EQUATIONS       			{ No volume forces, sxy=syx, etc. }
   ur:		dx( sxr)+ dy( sxyr)+ dz( sxzr)+ lambda*ur=0	
   vr:		dx( sxyr)+ dy( syr)+ dz( syzr)+ lambda*vr=0
   wr:		dx( sxzr)+ dy( syzr)+ dz( szr) + lambda*wr=0	
EXTRUSION						{ Parallel surfaces }
   surface 'bottom' z=0			
   surface 'top' z=d
BOUNDARIES				{ Zero load on surfaces (default) }	
region 'plate'				
   start 'outer'  (r0,0)  value(ur)=0    value(vr)=0   value(wr)=0
      arc( center=0,0) angle=360
MONITORS
   contour( wr) painted on z=d/2 report( freq)
PLOTS
   contour( wr) painted on z=d/2 report( freq)
   vector( uvwr) on z=d
   grid( x+sc*ur, y+sc*vr, z+sc*wr) report( freq)
END

