TITLE     'Vibrating Sledgehammer'	        		        { mex164.pde }
SELECT     modes=6     ngrid=2     errlim=3e-3     spectral_colors    	
COORDINATES     cartesian3	
VARIABLES     ur     vr     wr
DEFINITIONS
   r0=0.02     Lx=0.05     Ly=0.03     Lz=0.03      Lm=0.2
   dens=7.8e3     mu=0.3     E=200e9 		{ Steel }
   freq=sqrt( lambda/dens)/(2*pi)
#include 'defuvwr.pde'     sc=0.02	{ Plot scale factor }
EQUATIONS       			{ No volume forces, sxy=syx, etc. }
   ur:		dx( sxr)+ dy( sxyr)+ dz( sxzr)+ lambda*ur=0	
   vr:		dx( sxyr)+ dy( syr)+ dz( syzr)+ lambda*vr=0
   wr:		dx( sxzr)+ dy( syzr)+ dz( szr)+ lambda*wr=0	
EXTRUSION						{ Parallel surfaces }
   surface 'bottom' z=0	
   layer 'stem'					{ Layer between the surfaces }
   surface 'middle' z=Lm
   layer 'head'					
   surface 'top' z=Lm+Lz
BOUNDARIES					
   surface 'bottom'   value(ur)=0   value(vr)=0   value(wr)=0
   surface 'top'   load(ur)=0    load(vr)=0   load(wr)=0
region 'block'						
   layer 'stem' void
   start 'outer' (-Lx,-Ly)   					
   line to (Lx,-Ly)  to (Lx,Ly)  to (-Lx,Ly)  to close
region 'handle'			
   start 'outer' (r0,0)   arc( center=0,0) angle=360
MONITORS
   vector( uvwr) norm on z=Lm+Lz report( freq)
PLOTS
   vector( uvwr) on z=Lm+Lz report( freq)
   vector( uvwr) on x=0 report( freq)     vector( uvwr) on y=0
   grid( y+sc*vr, z+sc*wr) on x=0 report( freq)
   grid( x+sc*ur, z+sc*wr) on y=0 report( freq)
END

