TITLE     'Acoustic Wave in 1D'				        { mex171.pde }
SELECT     errlim=1e-5     spectral_colors    { Student Version }
VARIABLES     phi_r   	 phi_i                   { Real and imaginary potential }
DEFINITIONS
   omega=250          				
   L=10         h=1        dens=1.176         Bs=1.4e5    		{ Air }
   vx_r=-dx(phi_r)      vx_i=-dx(phi_i)		{ Velocity components }
   vy_r=-dy(phi_r)      vy_i=-dy(phi_i)	
   v_r=vector( vx_r, vy_r)     v_i=vector( vx_i, vy_i)
   v_rm=magnitude( v_r)     v_im=magnitude( v_i)
   p_r=-dens*omega*phi_i  				{ Pressure }
   p_i=dens*omega*phi_r
EQUATIONS
   phi_r:	del2(phi_r)+ dens*omega^2/Bs*phi_r=0
   phi_i:              del2(phi_i)+ dens*omega^2/Bs*phi_i=0
BOUNDARIES
region 'air' start (0,-h/2) point value(phi_r)=0  point value(phi_i)=0   natural(phi_r)=0  natural(phi_i)=0
   line to (L,-h/2)  to (L,h/2)  to (0,h/2)
   natural(phi_r)=1.0  line to close			{ Left end, vx_r=1.0 }
PLOTS
   elevation( phi_r, phi_i) from (0,0) to (L,0)     contour( phi_r) painted
   elevation( vx_r, vx_i) from (0,0) to (L,0)     contour( vx_r) painted
   elevation( p_r, p_i) from (0,0) to (L,0)     contour( p_i) painted
END

