TITLE     'Constricted Cavity, Scanned'			       { mex174.pde }
SELECT   errlim=1e-5    stages=15     spectral_colors
VARIABLES     phi_r   	 phi_i                   { Real and imaginary potential }
DEFINITIONS
   omega=258+0.5*stage		
   L=10     h=5     dens=1.176     Bs=1.4e5     		{ Air }
   vx_r=-dx(phi_r)      vx_i=-dx(phi_i)		{ Velocity components }
   vy_r=-dy(phi_r)      vy_i=-dy(phi_i)	
   v_r=vector( vx_r, vy_r)     v_i=vector( vx_i, vy_i)
   v_rm=magnitude( v_r)     v_im=magnitude( v_i)
   p_r=-dens*omega*phi_i  				{ Pressure }
   p_i=dens*omega*phi_r
EQUATIONS
   phi_r:	del2(phi_r)+ dens*omega^2/Bs*phi_r=0
   phi_i:	del2(phi_i)+ dens*omega^2/Bs*phi_i=0
BOUNDARIES
region 'air'	start (0,-h/2) natural(phi_r)=0 natural(phi_i)=0
   line to (0.45*L,-0.5*h) to (0.45*L,-0.1*h) to (0.55*L,-0.1*h)
   to (0.55*L,-0.5*h) to  (L,-0.5*h) to (L,0.5*h)
   to (0.55*L,0.5*h) to (0.55*L,0.1*h) to (0.45*L,0.1*h)
   to (0.45*L,0.5*h) to (0,0.5*h)
   natural(phi_r)=1.0    line to close				{ Imposed velocity }
PLOTS
   elevation ( vx_r, vx_i) from (0,0) to (L,0) fixed range(-400,400)
   contour( vx_r) painted report( omega)
   contour( vx_i)     contour( p_i) painted report( omega)
END


