TITLE     'Cylindrical Resonator, Resonance'	 	        { mex176.pde }
SELECT    errlim=1e-5    stages=10     spectral_colors
VARIABLES     phi_r   	                  		{ Real potential only }
DEFINITIONS
   L=10     h=4     dens=1.176     Bs=1.4e5  			{ Air }
   omega=122+0.5*stage
   vx_r=-dx(phi_r)     							{ Velocity }
   vy_r=-dy(phi_r)     v_r=vector( vx_r, vy_r)     v_rm=magnitude( v_r)	
   p_i=dens*omega*phi_r 						{ Pressure }
EQUATIONS
   del2(phi_r)+ dens*omega^2/Bs*phi_r=0
BOUNDARIES
region 'air'
   start (0,-0.5*h)   natural(phi_r)=0
   line to  (L,-0.5*h)   arc to  (L+ 4*h, 0) to (L,0.5*h)   line to (0,0.5*h)
   natural(phi_r)=1.0   line to close
PLOTS
   contour( vx_r) painted report( omega)     surface( p_i)
END          	


