TITLE     'Cylindrical Resonator, Eigenstates'		        { mex177.pde }
SELECT    errlim=1e-5    modes=5     spectral_colors
VARIABLES     phi_r               			{ Real potential }
DEFINITIONS
   L=10     h=4     dens=1.176     Bs=1.4e5  	{ Air }
   vx_r=-dx( phi_r)     vy_r=-dy( phi_r)    		{ Velocity components }
   v_r=vector( vx_r, vy_r)     v_rm=magnitude( v_r)
   shift=0.2     omega=sqrt( ( lambda+shift)*Bs/dens)
   p_i=dens*omega*phi_r
EQUATIONS
   del2(phi_r)+ lambda*phi_r+ shift*phi_r =0
BOUNDARIES
region 'air'
   start 'outer' (0,-0.5*h) natural( phi_r)=0    	{ No normal(v_r) }
   line to  (L,-0.5*h) arc to (L+4*h, 0) to (L,0.5*h)
   line to (0,0.5*h) close
PLOTS
   contour( vx_r) painted report( omega)     contour( p_i) painted
   vector( v_r) norm report( omega)
END

